PHPExcel_Reader_Excel2007

# Class: PHPExcel_Reader_Excel2007_Theme

Source Location: /PHPExcel/Reader/Excel2007/Theme.php

### Class Overview

PHPExcel_Reader_Excel2007_Theme

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getColourByIndex
- getColourSchemeName
- getThemeName
- __clone

### Class Details

[line 36]
PHPExcel_Reader_Excel2007_Theme

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 72]

`PHPExcel_Reader_Excel2007_Theme __construct( $themeName, $colourSchemeName, $colourMap)`

Create a new PHPExcel_Theme

#### Tags:

access: | public

#### Parameters:

| $themeName |
| $colourSchemeName |
| $colourMap |

[ Top ]

### method getColourByIndex [line 104]

`string getColourByIndex( [ $index = 0])`

Get colour Map Value by Position

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method getColourSchemeName [line 95]

`string getColourSchemeName( )`

Get colour Scheme Name

#### Tags:

access: | public

[ Top ]

### method getThemeName [line 85]

`string getThemeName( )`

Get Theme Name

#### Tags:

access: | public

[ Top ]

### method __clone [line 114]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:11 +0200 by phpDocumentor 1.4.4